# Uses of Class
javafx.scene.input.KeyCombination

Packages that use KeyCombination
Package
Description
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.input
Provides the set of classes for mouse and keyboard input event handling.
javafx.stage
Provides the top-level container classes for JavaFX content.

## Uses of KeyCombination in javafx.scene

Methods in javafx.scene that return types with arguments of type KeyCombination
Modifier and Type
Method
Description
`ObservableMap<KeyCombination,Runnable>`
Scene.`getAccelerators()`
Gets the list of accelerators for this `Scene`.
`ObservableMap<KeyCombination,ObservableList<Mnemonic>>`
Scene.`getMnemonics()`
Gets the list of mnemonics for this `Scene`.

## Uses of KeyCombination in javafx.scene.control

Methods in javafx.scene.control that return KeyCombination
Modifier and Type
Method
Description
`final KeyCombination`
MenuItem.`getAccelerator()`
Gets the value of the `accelerator` property.
Methods in javafx.scene.control that return types with arguments of type KeyCombination
Modifier and Type
Method
Description
`final ObjectProperty<KeyCombination>`
MenuItem.`acceleratorProperty()`
The accelerator property enables accessing the associated action in one keystroke.
Methods in javafx.scene.control with parameters of type KeyCombination
Modifier and Type
Method
Description
`final void`
MenuItem.`setAccelerator(KeyCombination value)`
Sets the value of the `accelerator` property.

## Uses of KeyCombination in javafx.scene.input

Subclasses of KeyCombination in javafx.scene.input
Modifier and Type
Class
Description
`final class`
`KeyCharacterCombination`
This class represents a key combination in which the main key is specified by its character.
`final class`
`KeyCodeCombination`
This class represents a key combination in which the main key is specified by its `KeyCode`.
Fields in javafx.scene.input declared as KeyCombination
Modifier and Type
Field
Description
`static final KeyCombination`
KeyCombination.`NO_MATCH`
A KeyCombination that will match with no events.
Methods in javafx.scene.input that return KeyCombination
Modifier and Type
Method
Description
`KeyCombination`
Mnemonic.`getKeyCombination()`
Returns the `KeyCombination`
`static KeyCombination`
KeyCombination.`keyCombination(String name)`
Constructs a new `KeyCombination` from the specified string.
`static KeyCombination`
KeyCombination.`valueOf(String value)`
Constructs a new `KeyCombination` from the specified string.
Methods in javafx.scene.input with parameters of type KeyCombination
Modifier and Type
Method
Description
`void`
Mnemonic.`setKeyCombination(KeyCombination keyCombination)`
Sets the `KeyCombination`
Constructors in javafx.scene.input with parameters of type KeyCombination
Modifier
Constructor
Description
``
`Mnemonic(Node node, KeyCombination keyCombination)`
Constructs a `Mnemonic` with the specified target `Node` and trigger `KeyCombination`.

## Uses of KeyCombination in javafx.stage

Methods in javafx.stage that return KeyCombination
Modifier and Type
Method
Description
`final KeyCombination`
Stage.`getFullScreenExitKeyCombination()`
Get the current sequence used to exit Full Screen mode.
Methods in javafx.stage that return types with arguments of type KeyCombination
Modifier and Type
Method
Description
`final ObjectProperty<KeyCombination>`
Stage.`fullScreenExitKeyProperty()`
Get the property for the Full Screen exit key combination.
Methods in javafx.stage with parameters of type KeyCombination
Modifier and Type
Method
Description
`final void`
Stage.`setFullScreenExitKeyCombination(KeyCombination keyCombination)`
Specifies the KeyCombination that will allow the user to exit full screen mode.